Subject: Re: [PATCH 1/2] net: Disable LRO on devices that are forwarding

From: Andi Kleen <[email-masked]>
Date: Fri, 20 Jun 2008 16:21:40 +0200

Ben Hutchings <[email-masked]> writes:

> Large Receive Offload (LRO) is only appropriate for packets that are
> destined for the host, and should be disabled if received packets may be
> forwarded.  It can also confuse the GSO on output.
>
> Add dev_disable_lro() function which uses the appropriate ethtool ops to
> disable LRO if enabled.
>
> Add calls to dev_disable_lro() in br_add_if() and functions that enable
> IPv4 and IPv6 forwarding.

It might be a good idea to add a printk so that the user knows why
the device suddenly goes slower.

-Andi